Subject: Re: bug#59271: 29.0.50; Wrong tab-bar height at startup

From: Po Lu <[email-masked]>
Date: Tue, 15 Nov 2022 19:48:17 +0800

forcemerge 58912 59283 59271
thanks

Gabriel <[email-masked]> writes:

> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
>
>> What happens if you build Emacs --without-cairo?
>
> I just built emacs from master branch using '--without-cairo' and I
> confirm it works as expected: the tab-bar is initialized with the
> correct height.
>
> I am running Ubuntu 22.04 with these related cairo packages installed in
> my system:
>
> $ apt list --installed | grep cairo
> libcairo-gobject-perl/jammy,now 1.005-3build1 amd64 [installed,automatic]
> libcairo-gobject2/jammy,now 1.16.0-5ubuntu2 amd64 [installed,automatic]
> libcairo-perl/jammy,now 1.109-2build1 amd64 [installed,automatic]
> libcairo-script-interpreter2/jammy,now 1.16.0-5ubuntu2 amd64 [installed,automatic]
> libcairo2-dev/jammy,now 1.16.0-5ubuntu2 amd64 [installed]
> libcairo2/jammy,now 1.16.0-5ubuntu2 amd64 [installed,automatic]
> libcairomm-1.0-1v5/jammy,now 1.12.2-4build3 amd64 [installed,automatic]
> libdecor-0-plugin-1-cairo/jammy,now 0.1.0-3build1 amd64 [installed,automatic]
> libpangocairo-1.0-0/jammy,now 1.50.6+ds-2 amd64 [installed,automatic]
> python3-cairo/jammy,now 1.20.1-3build1 amd64 [installed,automatic]
> python3-gi-cairo/jammy-updates,now 3.42.1-0ubuntu1 amd64 [installed,automatic]
>
> ---
> Gabriel

Thanks.  This should be fixed on master shortly, please test.

I've also merged this bug with several others with the same cause.